Create brokerage fee
curl --request POST \
--url https://api.korint.io/brokerage-firms/{brokerageFirmId}/fees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant: <tenant>' \
--data '
{
"productId": "<string>",
"minCommission": 50,
"maxCommission": 50,
"defaultCommission": 50,
"minCommissionLimit": 50,
"maxCommissionLimit": 50,
"minTotalCommission": 50,
"maxTotalCommission": 50,
"minManagementFee": 1,
"maxManagementFee": 1
}
'import requests
url = "https://api.korint.io/brokerage-firms/{brokerageFirmId}/fees"
payload = {
"productId": "<string>",
"minCommission": 50,
"maxCommission": 50,
"defaultCommission": 50,
"minCommissionLimit": 50,
"maxCommissionLimit": 50,
"minTotalCommission": 50,
"maxTotalCommission": 50,
"minManagementFee": 1,
"maxManagementFee": 1
}
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenant: '<tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
productId: '<string>',
minCommission: 50,
maxCommission: 50,
defaultCommission: 50,
minCommissionLimit: 50,
maxCommissionLimit: 50,
minTotalCommission: 50,
maxTotalCommission: 50,
minManagementFee: 1,
maxManagementFee: 1
})
};
fetch('https://api.korint.io/brokerage-firms/{brokerageFirmId}/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"id": "<string>"
}{
"code": "BROKERAGE_FIRM_NOT_FOUND",
"message": "No brokerage firm found for brokerage firm id {brokerageFirmId}",
"details": {}
}brokerage-firms
Create brokerage fee
POST
/
brokerage-firms
/
{brokerageFirmId}
/
fees
Create brokerage fee
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Pattern:
^brokerage_firm(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Body
application/json
The productId
Min commission fee percentage
Required range:
0 <= x <= 100Max commission fee percentage
Required range:
0 <= x <= 100Default commission fee percentage
Required range:
0 <= x <= 100Min commission fee percentage limit
Required range:
0 <= x <= 100Max commission fee percentage limit
Required range:
0 <= x <= 100Min total commission fee percentage
Required range:
0 <= x <= 100Max total commission fee percentage
Required range:
0 <= x <= 100Min management fee amount in cents
Required range:
x >= 0Max management fee amount in cents
Required range:
x >= 0Was this page helpful?
⌘I

